<?php

namespace FiloBlu\Rma\Block\Adminhtml\Form\Field;

use Magento\Framework\Data\Form\Element\AbstractElement;

/**
 *
 */
class ImportChangeSize extends AbstractElement
{
    /**
     * @return void
     * @noinspection MagicMethodsValidityInspection
     */
    protected function _construct()
    {
        parent::_construct();
        $this->setType('file');
    }

    /**
     * Enter description here...
     *
     * @return string
     */
    public function getElementHtml()
    {

        $html = '<input id="time_condition" type="hidden" name="' . $this->getName() . '" value="' . time() . '" />';
        $html .= parent::getElementHtml();

        return $html;
    }
}
